Article ID: 127961, created on Dec 31, 2015, last review on Oct 27, 2016

  • Applies to:
  • Operations Automation 6.0

Symptoms

  • Version 6.0.6 (or higher) of Odin Automation is used on your installation.
  • Version 4.x of the Office 365 APS 1.2 application is used on your installation.
  • One option of the listed below options is true for your installation:

    • You are going to install version 6.4 of the Office 365 APS 2 application.
    • You are going to upgrade the Office 365 APS 2 application from version 6.3 to version 6.4.
    • Version 6.4 of the Office 365 APS 2 application cannot be imported. The corresponding task fails with the error Internal error: "APSC: The type 'http://www.parallels.com/Office365/Addon/1.0'; belongs to the package of the different series:....

Cause

There is a conflict between the Office 365 APS 1.2 and Office 365 APS 2 applications.

Resolution

  1. Save the Office 365 APS 2 application package to a directory of your Management Node.
  2. Unpack the application package.
  3. Unpack the O365-Import.zip file.
  4. Go to the directory where the content of the O365-Import.zip file is placed.
  5. Save the script split_conflicting_series.py to the same directory.
  6. Run the script using the following command:

    python split_conflicting_series.py
    
  7. Make sure there are no errors in the output of the script.
  8. If you received the error Internal error: "APSC: The type 'http://www.parallels.com/Office365/Addon/1.0'; belongs to the package of the different series:..., restart the corresponding task.

a7f95d5862f1c550c66223575e1594aa 6311ae17c1ee52b36e68aaf4ad066387 5356b422f65bdad1c3e9edca5d74a1ae caea8340e2d186a540518d08602aa065 e12cea1d47a3125d335d68e6d4e15e07 956c448bddc7e1f3585373687602379f 6f1456866eed87488c0f02b298a741c0

Email subscription for changes to this article
Save as PDF